Bug 249039 - New port: misc/bh1750-kmod Kernel driver for the i2c capable ambient light sensor
Summary: New port: misc/bh1750-kmod Kernel driver for the i2c capable ambient light se...
Status: Closed Not A Bug
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-31 19:00 UTC by Alexander Mishin
Modified: 2020-09-19 20:07 UTC (History)
1 user (show)

See Also:


Attachments
Diff-file for new bh1750-kmod port (2.03 KB, patch)
2020-08-31 19:00 UTC, Alexander Mishin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Mishin 2020-08-31 19:00:46 UTC
Created attachment 217676 [details]
Diff-file for new bh1750-kmod port

FreeBSD kernel driver for a bh1750 sensor (up to two ones on an i2c bus).

It makes the sensor to measure ambient light every 5 seconds and updates a
corresponding sysctl(8) variables. You may manage the measurement by changing
some variables.

For building the port You need the kernel sources installed into /usr/src.

WWW: https://gitlab.com/alexandermishin13/bh1750-kmod
Comment 1 Li-Wen Hsu freebsd_committer 2020-09-03 05:59:21 UTC
As this driver is released under BSD 2-clause license, how about adding this to base directly?
Comment 2 Alexander Mishin 2020-09-03 11:50:46 UTC
I don't mind, I'll be glad.
Comment 3 Li-Wen Hsu freebsd_committer 2020-09-03 12:05:45 UTC
(In reply to Alexander Mishin from comment #2)
Sorry that I was not clear, I am encourage you submitting a patch to the base.
Comment 4 Alexander Mishin 2020-09-03 12:25:39 UTC
This is my first posting of code, and I thought it might be worth starting with ports. But, thanks, I'll look for information on how to do this for the base.
Comment 5 Alexander Mishin 2020-09-16 07:33:49 UTC
I think it is not ready for the base yet. I found and fixed other day a bug (foolish enough one). I think that best to public it as a port and wait for the bug reports. And a question: must I send a corrected version of the port to this thread or create a new one?